languages = [
    {
        "name": "English",
        "endonym": "English",
        "code_2": "en",
        "code_3": "eng",
        "locales": ["en_US", "en_GB", "en_CA", "en_AU", "en_NZ", "en_IN"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Mandarin Chinese",
        "endonym": "中文 (Zhōngwén)",
        "code_2": "zh",
        "code_3": "zho",
        "locales": ["zh_CN", "zh_TW", "zh_HK", "zh_SG"],
        "rtl": False,
        "alphabet": "Han"
    },
    {
        "name": "Hindi",
        "endonym": "हिन्दी",
        "code_2": "hi",
        "code_3": "hin",
        "locales": ["hi_IN"],
        "rtl": False,
        "alphabet": "Devanagari"
    },
    {
        "name": "Spanish",
        "endonym": "Español",
        "code_2": "es",
        "code_3": "spa",
        "locales": ["es_ES", "es_MX", "es_AR", "es_CO", "es_CL"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "French",
        "endonym": "Français",
        "code_2": "fr",
        "code_3": "fra",
        "locales": ["fr_FR", "fr_CA", "fr_BE", "fr_CH", "fr_MA"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Standard Arabic",
        "endonym": "العربية",
        "code_2": "ar",
        "code_3": "ara",
        "locales": ["ar_SA", "ar_AE", "ar_EG", "ar_LB", "ar_MA"],
        "rtl": True,
        "alphabet": "Arabic"
    },
    {
        "name": "Bengali",
        "endonym": "বাংলা",
        "code_2": "bn",
        "code_3": "ben",
        "locales": ["bn_BD", "bn_IN"],
        "rtl": False,
        "alphabet": "Bengali"
    },
    {
        "name": "Russian",
        "endonym": "Русский",
        "code_2": "ru",
        "code_3": "rus",
        "locales": ["ru_RU", "ru_BY", "ru_KZ", "ru_UA"],
        "rtl": False,
        "alphabet": "Cyrillic"
    },
    {
        "name": "Portuguese",
        "endonym": "Português",
        "code_2": "pt",
        "code_3": "por",
        "locales": ["pt_PT", "pt_BR", "pt_AO", "pt_MZ"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Indonesian",
        "endonym": "Bahasa Indonesia",
        "code_2": "id",
        "code_3": "ind",
        "locales": ["id_ID"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Urdu",
        "endonym": "اُردُو",
        "code_2": "ur",
        "code_3": "urd",
        "locales": ["ur_PK", "ur_IN"],
        "rtl": True,
        "alphabet": "Arabic"
    },
    {
        "name": "German",
        "endonym": "Deutsch",
        "code_2": "de",
        "code_3": "deu",
        "locales": ["de_DE", "de_AT", "de_CH"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Japanese",
        "endonym": "日本語",
        "code_2": "ja",
        "code_3": "jpn",
        "locales": ["ja_JP"],
        "rtl": False,
        "alphabet": "Kanji, Kana"
    },
    {
        "name": "Swahili",
        "endonym": "Kiswahili",
        "code_2": "sw",
        "code_3": "swa",
        "locales": ["sw_KE", "sw_TZ"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Vietnamese",
        "endonym": "Tiếng Việt",
        "code_2": "vi",
        "code_3": "vie",
        "locales": ["vi_VN"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Korean",
        "endonym": "한국어",
        "code_2": "ko",
        "code_3": "kor",
        "locales": ["ko_KR", "ko_KP"],
        "rtl": False,
        "alphabet": "Hangul"
    },
    {
        "name": "Turkish",
        "endonym": "Türkçe",
        "code_2": "tr",
        "code_3": "tur",
        "locales": ["tr_TR", "tr_CY"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Tamil",
        "endonym": "தமிழ்",
        "code_2": "ta",
        "code_3": "tam",
        "locales": ["ta_IN", "ta_LK", "ta_SG", "ta_MY"],
        "rtl": False,
        "alphabet": "Tamil"
    },
    {
        "name": "Italian",
        "endonym": "Italiano",
        "code_2": "it",
        "code_3": "ita",
        "locales": ["it_IT", "it_CH"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Thai",
        "endonym": "ไทย",
        "code_2": "th",
        "code_3": "tha",
        "locales": ["th_TH"],
        "rtl": False,
        "alphabet": "Thai"
    },
    {
        "name": "Persian",
        "endonym": "فارسی",
        "code_2": "fa",
        "code_3": "fas",
        "locales": ["fa_IR", "fa_AF"],
        "rtl": True,
        "alphabet": "Persian"
    },
    {
        "name": "Telugu",
        "endonym": "తెలుగు",
        "code_2": "te",
        "code_3": "tel",
        "locales": ["te_IN"],
        "rtl": False,
        "alphabet": "Telugu"
    },
    {
        "name": "Marathi",
        "endonym": "मराठी",
        "code_2": "mr",
        "code_3": "mar",
        "locales": ["mr_IN"],
        "rtl": False,
        "alphabet": "Devanagari"
    },
    {
        "name": "Punjabi",
        "endonym": "ਪੰਜਾਬੀ",
        "code_2": "pa",
        "code_3": "pan",
        "locales": ["pa_IN", "pa_PK"],
        "rtl": False,
        "alphabet": "Gurmukhi, Shahmukhi"
    },
    {
        "name": "Malay",
        "endonym": "Bahasa Melayu",
        "code_2": "ms",
        "code_3": "msa",
        "locales": ["ms_MY", "ms_BN"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Javanese",
        "endonym": "ꦧꦱꦗꦮ",
        "code_2": "jv",
        "code_3": "jav",
        "locales": ["jv_ID"],
        "rtl": False,
        "alphabet": "Latin, Javanese"
    },
    {
        "name": "Hausa",
        "endonym": "Harshen Hausa",
        "code_2": "ha",
        "code_3": "hau",
        "locales": ["ha_NG", "ha_NE"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Burmese",
        "endonym": "မြန်မာစာ",
        "code_2": "my",
        "code_3": "mya",
        "locales": ["my_MM"],
        "rtl": False,
        "alphabet": "Burmese"
    },
    {
        "name": "Polish",
        "endonym": "Polski",
        "code_2": "pl",
        "code_3": "pol",
        "locales": ["pl_PL"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Romanian",
        "endonym": "Română",
        "code_2": "ro",
        "code_3": "ron",
        "locales": ["ro_RO", "ro_MD"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Dutch",
        "endonym": "Nederlands",
        "code_2": "nl",
        "code_3": "nld",
        "locales": ["nl_NL", "nl_BE"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Serbo-Croatian",
        "endonym": "Srpskohrvatski",
        "code_2": "sh",
        "code_3": "hbs",
        "locales": ["sr_RS", "hr_HR", "bs_BA", "me_ME"],
        "rtl": False,
        "alphabet": "Latin, Cyrillic"
    },
    {
        "name": "Zulu",
        "endonym": "isiZulu",
        "code_2": "zu",
        "code_3": "zul",
        "locales": ["zu_ZA"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Czech",
        "endonym": "Čeština",
        "code_2": "cs",
        "code_3": "ces",
        "locales": ["cs_CZ"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Hungarian",
        "endonym": "Magyar",
        "code_2": "hu",
        "code_3": "hun",
        "locales": ["hu_HU"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Greek",
        "endonym": "Ελληνικά",
        "code_2": "el",
        "code_3": "ell",
        "locales": ["el_GR", "el_CY"],
        "rtl": False,
        "alphabet": "Greek"
    },
    {
        "name": "Tagalog",
        "endonym": "Tagalog",
        "code_2": "tl",
        "code_3": "tgl",
        "locales": ["tl_PH"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Swedish",
        "endonym": "Svenska",
        "code_2": "sv",
        "code_3": "swe",
        "locales": ["sv_SE", "sv_FI"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Amharic",
        "endonym": "አማርኛ",
        "code_2": "am",
        "code_3": "amh",
        "locales": ["am_ET"],
        "rtl": False,
        "alphabet": "Ge'ez"
    },
    {
        "name": "Nepali",
        "endonym": "नेपाली",
        "code_2": "ne",
        "code_3": "nep",
        "locales": ["ne_NP", "ne_IN"],
        "rtl": False,
        "alphabet": "Devanagari"
    },
    {
        "name": "Hebrew",
        "endonym": "עברית",
        "code_2": "he",
        "code_3": "heb",
        "locales": ["he_IL"],
        "rtl": True,
        "alphabet": "Hebrew"
    },
    {
        "name": "Finnish",
        "endonym": "Suomi",
        "code_2": "fi",
        "code_3": "fin",
        "locales": ["fi_FI"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Norwegian",
        "endonym": "Norsk",
        "code_2": "no",
        "code_3": "nor",
        "locales": ["no_NO"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Danish",
        "endonym": "Dansk",
        "code_2": "da",
        "code_3": "dan",
        "locales": ["da_DK"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Sinhala",
        "endonym": "සිංහල",
        "code_2": "si",
        "code_3": "sin",
        "locales": ["si_LK"],
        "rtl": False,
        "alphabet": "Sinhala"
    },
    {
        "name": "Cebuano",
        "endonym": "Cebuano",
        "code_2": "ceb",
        "code_3": "ceb",
        "locales": ["ceb_PH"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Khmer",
        "endonym": "ភាសាខ្មែរ",
        "code_2": "km",
        "code_3": "khm",
        "locales": ["km_KH"],
        "rtl": False,
        "alphabet": "Khmer"
    },
    {
        "name": "Sundanese",
        "endonym": "ᮞᮥᮔ᮪ᮓᮦᮔ᮪",
        "code_2": "su",
        "code_3": "sun",
        "locales": ["su_ID"],
        "rtl": False,
        "alphabet": "Latin, Sundanese"
    },
    {
        "name": "Hmong",
        "endonym": "Hmoob",
        "code_2": "hmn",
        "code_3": "hmn",
        "locales": ["hmn_US"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Icelandic",
        "endonym": "Íslenska",
        "code_2": "is",
        "code_3": "isl",
        "locales": ["is_IS"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Malayalam",
        "endonym": "മലയാളം",
        "code_2": "ml",
        "code_3": "mal",
        "locales": ["ml_IN"],
        "rtl": False,
        "alphabet": "Malayalam"
    },
    {
        "name": "Xhosa",
        "endonym": "isiXhosa",
        "code_2": "xh",
        "code_3": "xho",
        "locales": ["xh_ZA"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Welsh",
        "endonym": "Cymraeg",
        "code_2": "cy",
        "code_3": "wel",
        "locales": ["cy_GB"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Bosnian",
        "endonym": "Bosanski",
        "code_2": "bs",
        "code_3": "bos",
        "locales": ["bs_BA"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Somali",
        "endonym": "Soomaali",
        "code_2": "so",
        "code_3": "som",
        "locales": ["so_SO"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Catalan",
        "endonym": "Català",
        "code_2": "ca",
        "code_3": "cat",
        "locales": ["ca_ES", "ca_FR", "ca_AD"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Lao",
        "endonym": "ລາວ",
        "code_2": "lo",
        "code_3": "lao",
        "locales": ["lo_LA"],
        "rtl": False,
        "alphabet": "Lao"
    },
    {
        "name": "Macedonian",
        "endonym": "Македонски",
        "code_2": "mk",
        "code_3": "mkd",
        "locales": ["mk_MK"],
        "rtl": False,
        "alphabet": "Cyrillic"
    },
    {
        "name": "Tigrinya",
        "endonym": "ትግርኛ",
        "code_2": "ti",
        "code_3": "tig",
        "locales": ["ti_ER", "ti_ET"],
        "rtl": False,
        "alphabet": "Ge'ez"
    },
    {
        "name": "Serbian",
        "endonym": "Српски",
        "code_2": "sr",
        "code_3": "srp",
        "locales": ["sr_RS"],
        "rtl": False,
        "alphabet": "Cyrillic, Latin"
    },
    {
        "name": "Mongolian",
        "endonym": "Монгол",
        "code_2": "mn",
        "code_3": "mon",
        "locales": ["mn_MN"],
        "rtl": False,
        "alphabet": "Cyrillic, Mongolian"
    },
    {
        "name": "Kurdish",
        "endonym": "Kurdî",
        "code_2": "ku",
        "code_3": "kur",
        "locales": ["ku_TR", "ku_IR"],
        "rtl": False,
        "alphabet": "Latin, Arabic"
    },
    {
        "name": "Pashto",
        "endonym": "پښتو",
        "code_2": "ps",
        "code_3": "pus",
        "locales": ["ps_AF"],
        "rtl": True,
        "alphabet": "Arabic"
    },
    {
        "name": "Belarusian",
        "endonym": "Беларуская",
        "code_2": "be",
        "code_3": "bel",
        "locales": ["be_BY"],
        "rtl": False,
        "alphabet": "Cyrillic"
    },
    {
        "name": "Latvian",
        "endonym": "Latviešu",
        "code_2": "lv",
        "code_3": "lav",
        "locales": ["lv_LV"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Estonian",
        "endonym": "Eesti",
        "code_2": "et",
        "code_3": "est",
        "locales": ["et_EE"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Georgian",
        "endonym": "ქართული",
        "code_2": "ka",
        "code_3": "kat",
        "locales": ["ka_GE"],
        "rtl": False,
        "alphabet": "Georgian"
    },
    {
        "name": "Armenian",
        "endonym": "Հայերեն",
        "code_2": "hy",
        "code_3": "hye",
        "locales": ["hy_AM"],
        "rtl": False,
        "alphabet": "Armenian"
    },
    {
        "name": "Haitian Creole",
        "endonym": "Kreyòl Ayisyen",
        "code_2": "ht",
        "code_3": "hat",
        "locales": ["ht_HT"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Chichewa",
        "endonym": "Chichewa",
        "code_2": "ny",
        "code_3": "nya",
        "locales": ["ny_MW"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Sesotho",
        "endonym": "Sesotho",
        "code_2": "st",
        "code_3": "sot",
        "locales": ["st_ZA", "st_LS"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Bashkir",
        "endonym": "Башҡорт",
        "code_2": "ba",
        "code_3": "bak",
        "locales": ["ba_RU"],
        "rtl": False,
        "alphabet": "Cyrillic"
    },
    {
        "name": "Cebuano",
        "endonym": "Cebuano",
        "code_2": "ceb",
        "code_3": "ceb",
        "locales": ["ceb_PH"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Fijian",
        "endonym": "Na Vosa Vakaviti",
        "code_2": "fj",
        "code_3": "fij",
        "locales": ["fj_FJ"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Tatar",
        "endonym": "Татар теле",
        "code_2": "tt",
        "code_3": "tat",
        "locales": ["tt_RU"],
        "rtl": False,
        "alphabet": "Cyrillic"
    },
    {
        "name": "Quechua",
        "endonym": "Runa Simi",
        "code_2": "qu",
        "code_3": "que",
        "locales": ["qu_PE"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Uyghur",
        "endonym": "ئۇيغۇرچە",
        "code_2": "ug",
        "code_3": "uig",
        "locales": ["ug_CN"],
        "rtl": False,
        "alphabet": "Arabic, Latin"
    },
    {
        "name": "Maltese",
        "endonym": "Malti",
        "code_2": "mt",
        "code_3": "mlt",
        "locales": ["mt_MT"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Swahili",
        "endonym": "Kiswahili",
        "code_2": "sw",
        "code_3": "swa",
        "locales": ["sw_KE", "sw_TZ"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Hmong",
        "endonym": "Hmoob",
        "code_2": "hmn",
        "code_3": "hmn",
        "locales": ["hmn_US"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Xhosa",
        "endonym": "isiXhosa",
        "code_2": "xh",
        "code_3": "xho",
        "locales": ["xh_ZA"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Samoan",
        "endonym": "Gagana Samoa",
        "code_2": "sm",
        "code_3": "smo",
        "locales": ["sm_WS"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Kinyarwanda",
        "endonym": "Ikinyarwanda",
        "code_2": "rw",
        "code_3": "kin",
        "locales": ["rw_RW"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Tajik",
        "endonym": "Тоҷикӣ",
        "code_2": "tg",
        "code_3": "tuk",
        "locales": ["tg_TJ"],
        "rtl": False,
        "alphabet": "Cyrillic"
    },
    {
        "name": "Azerbaijani",
        "endonym": "Azərbaycanca",
        "code_2": "az",
        "code_3": "aze",
        "locales": ["az_AZ"],
        "rtl": False,
        "alphabet": "Latin, Cyrillic"
    },
    {
        "name": "Aragonese",
        "endonym": "Aragonés",
        "code_2": "an",
        "code_3": "arg",
        "locales": ["an_ES"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Bengali",
        "endonym": "বাংলা",
        "code_2": "bn",
        "code_3": "ben",
        "locales": ["bn_IN", "bn_BD"],
        "rtl": False,
        "alphabet": "Bengali"
    },
    {
        "name": "Ukrainian",
        "endonym": "Українська",
        "code_2": "uk",
        "code_3": "ukr",
        "locales": ["uk_UA"],
        "rtl": False,
        "alphabet": "Cyrillic"
    },
    {
        "name": "Serbo-Croatian",
        "endonym": "Srpskohrvatski",
        "code_2": "sh",
        "code_3": "hbs",
        "locales": ["sr_RS", "hr_HR", "bs_BA", "me_ME"],
        "rtl": False,
        "alphabet": "Latin, Cyrillic"
    },
    {
        "name": "Punjabi",
        "endonym": "ਪੰਜਾਬੀ",
        "code_2": "pa",
        "code_3": "pan",
        "locales": ["pa_IN", "pa_PK"],
        "rtl": False,
        "alphabet": "Gurmukhi, Shahmukhi"
    },
    {
        "name": "Swahili",
        "endonym": "Kiswahili",
        "code_2": "sw",
        "code_3": "swa",
        "locales": ["sw_KE", "sw_TZ"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Kazakh",
        "endonym": "Қазақ тілі",
        "code_2": "kk",
        "code_3": "kaz",
        "locales": ["kk_KZ"],
        "rtl": False,
        "alphabet": "Cyrillic, Latin"
    },
    {
        "name": "Uzbek",
        "endonym": "Oʻzbek",
        "code_2": "uz",
        "code_3": "uzb",
        "locales": ["uz_UZ"],
        "rtl": False,
        "alphabet": "Latin, Cyrillic"
    },
    {
        "name": "Macedonian",
        "endonym": "Македонски",
        "code_2": "mk",
        "code_3": "mkd",
        "locales": ["mk_MK"],
        "rtl": False,
        "alphabet": "Cyrillic"
    },
    {
        "name": "Kyrgyz",
        "endonym": "Кыргызча",
        "code_2": "ky",
        "code_3": "kir",
        "locales": ["ky_KG"],
        "rtl": False,
        "alphabet": "Cyrillic"
    },
    {
        "name": "Hausa",
        "endonym": "Hausa",
        "code_2": "ha",
        "code_3": "hau",
        "locales": ["ha_NG", "ha_NE"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Turkmen",
        "endonym": "Türkmençe",
        "code_2": "tk",
        "code_3": "tuk",
        "locales": ["tk_TM"],
        "rtl": False,
        "alphabet": "Latin"
    },
    {
        "name": "Yoruba",
        "endonym": "Yorùbá",
        "code_2": "yo",
        "code_3": "yor",
        "locales": ["yo_NG"],
        "rtl": False,
        "alphabet": "Latin"
    }
]
